halapi hierarchichalalignmentformatapi

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Attributes
hal::RawH5Array Class Reference

`#include <rawH5Array.h>`

List of all members.

## Public Member Functions
| RawH5Array ()
bool | create (H5::file, const H5std_string &path, const H5::datatype &datatype, genidx_t numElements, genidx_t chunkSize)
bool | load (H5::file, const H5std_string &path)
bool | write ()
const void * | get (genidx_t i) const
void * | getUpdate (genidx_t i)
## Protected Attributes
const H5::file & | _file
const H5std_string * | _path
const H5::datatype & | _datatype
genidx_t | _numElements
genidx_t | _chunkSize
H5::dataset | _dataset
genidx_t | _bufSize
void * | _buf

## Detailed Description

Wrapper for a 1-dimensional HDF5 array of fixed length. Array objects are defined (and typed) by the input datatype. They are kept in a void* buffer because the size of each object is not known at compile time and we don't want to copy the data anymore than we absolutely have to. this is also why we allow direct access to the buffer for writing.

## Constructor & Destructor Documentation

hal::RawH5Array::RawH5Array | ( |  | ) |

Constructor

## Member Function Documentation

bool hal::RawH5Array::create | ( | H5::file | ,
|  | const H5std_string & | path,
|  | const H5::datatype & | datatype,
|  | genidx_t | numElements,
|  | genidx_t | chunkSize
| ) |  |

Create a new dataset in specifed location

const void* hal::RawH5Array::get | ( | genidx_t | i | ) | const

Access the raw data at given index

void* hal::RawH5Array::getUpdate | ( | genidx_t | i | ) |

Write the raw data at given index

bool hal::RawH5Array::load | ( | H5::file | ,
|  | const H5std_string & | path
| ) |  |

Load an existing dataset into memory

bool hal::RawH5Array::write | ( |  | ) |

Write the memory buffer back to the file

The documentation for this class was generated from the following file:

- inc/rawH5Array.h

All Classes Functions Variables